Debian packaging scripts moved to https://github.com/netxms/packages
authorAlex Kirhenshtein <alk@netxms.org>
Fri, 6 Nov 2015 14:36:18 +0000 (16:36 +0200)
committerAlex Kirhenshtein <alk@netxms.org>
Fri, 6 Nov 2015 14:38:29 +0000 (16:38 +0200)
33 files changed:
Makefile.am
configure.ac
debian/Makefile.am [deleted file]
debian/changelog [deleted file]
debian/compat [deleted file]
debian/control [deleted file]
debian/copyright [deleted file]
debian/docs [deleted file]
debian/netxms-agent-java.install [deleted file]
debian/netxms-agent.install [deleted file]
debian/netxms-agent.nxagentd.init [deleted file]
debian/netxms-agent.postinst [deleted file]
debian/netxms-agent.postrm [deleted file]
debian/netxms-base.dirs [deleted file]
debian/netxms-base.install [deleted file]
debian/netxms-base.postrm [deleted file]
debian/netxms-base.symbols [deleted file]
debian/netxms-client.install [deleted file]
debian/netxms-dbdrv-mysql.install [deleted file]
debian/netxms-dbdrv-odbc.install [deleted file]
debian/netxms-dbdrv-oracle.install [deleted file]
debian/netxms-dbdrv-pgsql.install [deleted file]
debian/netxms-dbdrv-sqlite3.install [deleted file]
debian/netxms-server.install [deleted file]
debian/netxms-server.netxmsd.init [deleted file]
debian/netxms-server.postinst [deleted file]
debian/netxms-server.postrm [deleted file]
debian/patches/Makefile.am [deleted file]
debian/patches/series [deleted file]
debian/rules [deleted file]
debian/source/Makefile.am [deleted file]
debian/source/format [deleted file]
debian/source/options [deleted file]

index 0deb787..8bcbd7c 100644 (file)
@@ -10,7 +10,7 @@
 
 ACLOCAL_AMFLAGS = -I m4
 EXTRA_DIST = reconf configure netxms.sln README.HPUX
-SUBDIRS = m4 contrib src doc tools debian
+SUBDIRS = m4 contrib src doc tools
 SUBDIRS += @TOP_LEVEL_MODULES@
 
 install-exec-hook:
index fd38215..8e97f03 100644 (file)
@@ -2906,9 +2906,6 @@ AC_CONFIG_FILES([
        contrib/startup/suse/Makefile
        contrib/startup/ubuntu/Makefile
        contrib/startup/solaris/Makefile
-       debian/Makefile
-       debian/patches/Makefile
-       debian/source/Makefile
        doc/Makefile
        doc/internal/Makefile
        doc/manuals/Makefile
diff --git a/debian/Makefile.am b/debian/Makefile.am
deleted file mode 100644 (file)
index 5c653c5..0000000
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright (C) 2004 NetXMS Team <bugs@netxms.org>
-#  
-# This file is free software; as a special exception the author gives
-# unlimited permission to copy and/or distribute it, with or without 
-# modifications, as long as this notice is preserved.
-# 
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
-# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-
-SUBDIRS = patches source
-
-EXTRA_DIST=changelog \
-           compat \
-           control \
-           copyright \
-           docs \
-           Makefile.am \
-           netxms-agent.install \
-           netxms-agent.nxagentd.init \
-           netxms-agent.postinst \
-           netxms-agent.postrm \
-           netxms-agent-java.install \
-           netxms-base.dirs \
-           netxms-base.install \
-           netxms-base.postrm \
-           netxms-base.symbols \
-           netxms-client.install \
-           netxms-dbdrv-mysql.install \
-           netxms-dbdrv-odbc.install \
-           netxms-dbdrv-oracle.install \
-           netxms-dbdrv-pgsql.install \
-           netxms-dbdrv-sqlite3.install \
-           netxms-server.install \
-           netxms-server.netxmsd.init \
-           netxms-server.postinst \
-           netxms-server.postrm \
-           rules
diff --git a/debian/changelog b/debian/changelog
deleted file mode 100644 (file)
index c155a64..0000000
+++ /dev/null
@@ -1,88 +0,0 @@
-netxms (2.0-RC2-1) unstable; urgency=low
-
-  * Maintenance mode for nodes, clusters, and mobile devices (manual and scheduled)
-  * Fixed broken instance discovery filters
-  * Fixed agent crash when collecting SNMP data in cached mode
-  * Agent returns correct OS version on Windows 10
-  * New NXSL "Node" class attribute: bridgeBaseAddress
-  * One LDAP attribute can be used in multiple mappings
-  * Fied deadlock on LDAP user deletion while LDAP synchronization
-  * Add option to use encrypted password in password fileds in configuration files and in the server configuration parameters.
-  * Added SMS driver for web service text2reach.com
-  * SNMP sysContact and sysLocation collected and stored
-  * Server can accept traps and syslog messages from nodes in all zones (controlled by TrapSourcesInAllZones configuration option)
-  * On instance discovery pool instance name is updated if it has changed
-  * New SMS driver - slack.com
-  * IPv6 support in built-in syslog server
-  * Fixed event processing policy export/import issues
-  * Global default retention time and polling interval for data collection
-  * Initial support for scheduled tasks within system
-  * Scheduled file upload
-  * Management console:
-  * Object context menu available on geo map
-  * Filter in event template configurator
-  * Web console use contextlient time zone to display time
-  * Added option to use server time zone to display time in console
-  * Access to event log, SNMP trap log, and   syslog from object context menu
-  * Dashboards can be associated with other objects (nodes, containers, etc.) and opened from object's context menu
-  * Forced DCI polls from summary tables
-  * Script hints
-  * Fixed issues: #786, #831,786 #841, #852, #864, #878, #883, #890, #891, #892, #896, #897, #898, #900, #902, #903, #905, #907, #910, #913, #917, #919, #921, #928, #933, #937, #943, #945, #947
-
- -- Alex Kirhenshtein <alk@netxms.org>  Mon, 19 Oct 2015 03:33:44 +0300
-
-netxms (2.0-RC1-1) unstable; urgency=low
-
-  * Fixed LDAP authentication issues with Active Directory
-  * Fixed character encoding issues in LDAP user data
-  * Java subagent improved
-  * Fixed multiple issues with agent side data caching
-  * Hash maps implemented in NXSL
-  * Improved array implementation in NXSL
-  * New NXSL function ArrayToString
-  * New OS parameters and tables: System.HandleCount, System.OpenFiles, Process.Handles
-  * Unified macros in all types of object tools
-  * Server can be switched to case-insensitive login names mode
-  * Implemented support of "command generates output" option for server commands
-  * Network device driver for TelcoBridges gateways
-
- -- Alex Kirhenshtein <alk@netxms.org>  Fri, 7 Aug 2015 10:38:00 +0300
-
-netxms (2.0-M5-1) unstable; urgency=low
-
-  * Fixed bug in handling floating point Windows performance counters
-  * Added "comments" attribute to NXSL "DCI" class
-  * New NXSL function sha256
-  * Fixed broken nxagent.sms SMS driver
-  * Added support for SNMP traps over IPv6
-  * Switched to SHA-256 for password hashing
-  * Timestamp can be provided in nxpush and nxapush
-  * New methods in NXSL class "Event": setMessage, setSeverity, setUserTag
-  * Command line options for nxagentd to change effective user and group after start
-  * Fixed occasional NXSL compiler crash on scripts with syntax errors
-  * Errors in auto bind/apply scripts interpreted as "ignore" instead of "false" result
-  * New core agent parameter File.FolderCount
-  * Fixed broken active discovery
-  * Improved system behaviour on large installations
-  * Fixed issues: #50, #630, #780, #781, #791, #794, #797, #798, #806, #815, #816, #817, #824, #832, #833, #837
-
- -- Alex Kirhenshtein <alk@netxms.org>  Sat, 20 Jun 2015 13:50:29 +0300
-
-netxms (2.0-M4-1) unstable; urgency=low
-
-  * MEGATEC protocol support in UPS subagent
-  * Template hierarchy preserved during export/import
-  * Script export/import
-  * Fixed broken WoL functionality
-  * Fixed broken PING subagent
-  * Fixed database upgrade issues on MS SQL
-  * IPv6 support in PING subagent
-  * Fixed issues: #655, #657, #804
-
- -- Alex Kirhenshtein <alk@netxms.org>  Wed, 29 Apr 2015 16:12:46 +0300
-
-netxms (2.0-M3-1) unstable; urgency=low
-
-  * Initial release
-
- -- Alex Kirhenshtein <alk@netxms.org>  Mon, 15 Apr 2015 02:43:51 +0300
diff --git a/debian/compat b/debian/compat
deleted file mode 100644 (file)
index ec63514..0000000
+++ /dev/null
@@ -1 +0,0 @@
-9
diff --git a/debian/control b/debian/control
deleted file mode 100644 (file)
index e4b67dd..0000000
+++ /dev/null
@@ -1,108 +0,0 @@
-Source: netxms
-Priority: extra
-Maintainer: Alex Kirhenshtein <alk@netxms.org>
-Build-Depends:
- debhelper (>= 9.0.0),
- dh-autoreconf,
- debconf,
- libssl-dev,
- zlib1g-dev,
- libexpat1-dev,
- libsensors4-dev,
- libjansson-dev,
- libreadline-dev,
- libsqlite3-dev,
- libmysqlclient-dev,
- libcurl4-openssl-dev,
- libpq-dev (>= 9.1),
- libldap2-dev,
- libaio1,
- unixodbc-dev,
- openjdk-7-jdk
-Standards-Version: 4.9.3
-Section: admin
-Homepage: http://www.netxms.org/
-
-Package: netxms-base
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: NetXMS core libraries
- <insert long description, indented with spaces>
-
-Package: netxms-agent
-Architecture: any
-Multi-Arch: same
-Depends: netxms-base (= ${binary:Version}), netxms-dbdrv-sqlite3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: NetXMS agent
- <insert long description, indented with spaces>
-
-Package: netxms-agent-java
-Architecture: any
-Multi-Arch: same
-Depends: netxms-agent (= ${binary:Version}), openjdk-7-jre-headless, ${shlibs:Depends}, ${misc:Depends}
-Description: Java subagent for NetXMS agent
- <insert long description, indented with spaces>
-
-Package: netxms-client
-Architecture: any
-Multi-Arch: same
-Depends: netxms-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: NetXMS command line client tools
- <insert long description, indented with spaces>
-
-Package: netxms-server
-Architecture: any
-Multi-Arch: same
-Depends:
- netxms-base (= ${binary:Version}),
- netxms-dbdrv-sqlite3 (= ${binary:Version}) |
- netxms-dbdrv-pgsql (= ${binary:Version}) |
- netxms-dbdrv-mysql (= ${binary:Version}),
- ${shlibs:Depends}, ${misc:Depends}
-Suggests: netxms-dbdrv-pgsql, netxms-dbdrv-mysql, netxms-dbdrv-oracle
-Description: meta package
- <insert long description, indented with spaces>
-
-Package: netxms-dbdrv-sqlite3
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: netxms-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: SQLite3 driver for netxms-server
- <insert long description, indented with spaces>
-
-Package: netxms-dbdrv-pgsql
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: netxms-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Suggests: postgresql-9.1
-Description: PostgreSQL driver for netxms-server
- <insert long description, indented with spaces>
-
-Package: netxms-dbdrv-mysql
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: netxms-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Suggests: mysql-server
-Description: MySQL driver for netxms-server
- <insert long description, indented with spaces>
-
-Package: netxms-dbdrv-odbc
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: netxms-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: unixODBC driver for netxms-server
- <insert long description, indented with spaces>
-
-Package: netxms-dbdrv-oracle
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: netxms-base (= ${binary:Version}), libaio1, ${shlibs:Depends}, ${misc:Depends}
-Description: Oracle driver for netxms-server
- <insert long description, indented with spaces>
diff --git a/debian/copyright b/debian/copyright
deleted file mode 100644 (file)
index 8308edd..0000000
+++ /dev/null
@@ -1,22 +0,0 @@
-Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
-Upstream-Name: netxms
-Source: http://www.netxms.org/
-
-Files: *
-Copyright: 2015 Alex Kirhenshtein <alk@netxms.org>
-License: GPL-2+
- This package is free software; you can redistribute it and/or modify
- it under the terms of the GNU General Public License as published by
- the Free Software Foundation; either version 2 of the License, or
- (at your option) any later version.
- .
- This package is distributed in the hope that it will be useful,
- but WITHOUT ANY WARRANTY; without even the implied warranty of
- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- GNU General Public License for more details.
- .
- You should have received a copy of the GNU General Public License
- along with this program. If not, see <http://www.gnu.org/licenses/>
- .
- On Debian systems, the complete text of the GNU General
- Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
diff --git a/debian/docs b/debian/docs
deleted file mode 100644 (file)
index 50bd824..0000000
+++ /dev/null
@@ -1,2 +0,0 @@
-NEWS
-README
diff --git a/debian/netxms-agent-java.install b/debian/netxms-agent-java.install
deleted file mode 100644 (file)
index 95486b8..0000000
+++ /dev/null
@@ -1,2 +0,0 @@
-usr/lib/*/netxms/java.nsm
-usr/lib/*/netxms/*.jar
diff --git a/debian/netxms-agent.install b/debian/netxms-agent.install
deleted file mode 100644 (file)
index 82d6c2d..0000000
+++ /dev/null
@@ -1,20 +0,0 @@
-usr/bin/nxagentd
-usr/bin/nxappget
-usr/bin/nxapush
-usr/lib/*/libappagent.so.*
-usr/lib/*/libnxagent.so.*
-usr/lib/*/libnxlp.so.*
-usr/lib/*/netxms/dbquery.nsm
-usr/lib/*/netxms/devemu.nsm
-usr/lib/*/netxms/ds18x20.nsm
-usr/lib/*/netxms/ecs.nsm
-usr/lib/*/netxms/filemgr.nsm
-usr/lib/*/netxms/linux.nsm
-usr/lib/*/netxms/lmsensors.nsm
-usr/lib/*/netxms/logwatch.nsm
-usr/lib/*/netxms/netsvc.nsm
-usr/lib/*/netxms/oracle.nsm
-usr/lib/*/netxms/ping.nsm
-usr/lib/*/netxms/portcheck.nsm
-usr/lib/*/netxms/sms.nsm
-usr/lib/*/netxms/ups.nsm
diff --git a/debian/netxms-agent.nxagentd.init b/debian/netxms-agent.nxagentd.init
deleted file mode 100644 (file)
index 1181f29..0000000
+++ /dev/null
@@ -1,150 +0,0 @@
-#!/bin/sh
-### BEGIN INIT INFO
-# Provides:          nxagentd
-# Required-Start:    $network $local_fs 
-# Required-Stop:
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: NetXMS agent
-# Description:       NetXMS native agent which provide system information to NetXMS server
-### END INIT INFO
-
-# Author: Alex Kirhenshtein <alk@netxms.org>
-
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC="NetXMS agent"
-NAME=nxagentd
-DAEMON=/usr/bin/nxagentd
-DAEMON_ARGS="-d"
-PIDFILE=/var/run/$NAME.pid
-SCRIPTNAME=/etc/init.d/$NAME
-
-# Exit if the package is not installed
-[ -x $DAEMON ] || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
-       # Return
-       #   0 if daemon has been started
-       #   1 if daemon was already running
-       #   2 if daemon could not be started
-       start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
-               || return 1
-       start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
-               $DAEMON_ARGS \
-               || return 2
-       # Add code here, if necessary, that waits for the process to be ready
-       # to handle requests from services started subsequently which depend
-       # on this one.  As a last resort, sleep for some time.
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
-       # Return
-       #   0 if daemon has been stopped
-       #   1 if daemon was already stopped
-       #   2 if daemon could not be stopped
-       #   other if a failure occurred
-       start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
-       RETVAL="$?"
-       [ "$RETVAL" = 2 ] && return 2
-       # Wait for children to finish too if this is a daemon that forks
-       # and if the daemon is only ever run from this initscript.
-       # If the above conditions are not satisfied then add some other code
-       # that waits for the process to drop all resources that could be
-       # needed by services started subsequently.  A last resort is to
-       # sleep for some time.
-       start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
-       [ "$?" = 2 ] && return 2
-       # Many daemons don't delete their pidfiles when they exit.
-       rm -f $PIDFILE
-       return "$RETVAL"
-}
-
-#
-# Function that sends a SIGHUP to the daemon/service
-#
-do_reload() {
-       #
-       # If the daemon can reload its configuration without
-       # restarting (for example, when it is sent a SIGHUP),
-       # then implement that here.
-       #
-       start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
-       return 0
-}
-
-case "$1" in
-  start)
-    [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
-    do_start
-    case "$?" in
-               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-       esac
-  ;;
-  stop)
-       [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
-       do_stop
-       case "$?" in
-               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-       esac
-       ;;
-  status)
-       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
-       ;;
-  #reload|force-reload)
-       #
-       # If do_reload() is not implemented then leave this commented out
-       # and leave 'force-reload' as an alias for 'restart'.
-       #
-       #log_daemon_msg "Reloading $DESC" "$NAME"
-       #do_reload
-       #log_end_msg $?
-       #;;
-  restart|force-reload)
-       #
-       # If the "reload" option is implemented then remove the
-       # 'force-reload' alias
-       #
-       log_daemon_msg "Restarting $DESC" "$NAME"
-       do_stop
-       case "$?" in
-         0|1)
-               do_start
-               case "$?" in
-                       0) log_end_msg 0 ;;
-                       1) log_end_msg 1 ;; # Old process is still running
-                       *) log_end_msg 1 ;; # Failed to start
-               esac
-               ;;
-         *)
-               # Failed to stop
-               log_end_msg 1
-               ;;
-       esac
-       ;;
-  *)
-       echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
-       exit 3
-       ;;
-esac
-
-:
diff --git a/debian/netxms-agent.postinst b/debian/netxms-agent.postinst
deleted file mode 100644 (file)
index 5e4f7d6..0000000
+++ /dev/null
@@ -1,39 +0,0 @@
-#!/bin/sh
-
-set -e
-
-CONFIG="/etc/nxagentd.conf"
-
-case "$1" in
-    configure)
-        if [ ! -f $CONFIG ]; then
-            TARGET=$CONFIG
-        else
-            TARGET=${CONFIG}.dist
-        fi
-
-        cat > $TARGET <<__END
-# Log File
-LogFile=/var/log/nxagentd
-
-# IP white list, can contain multiple records separated by comma.
-# CIDR notation supported for subnets.
-MasterServers=127.0.0.0/8
-__END
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
diff --git a/debian/netxms-agent.postrm b/debian/netxms-agent.postrm
deleted file mode 100644 (file)
index 1596497..0000000
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-
-set -e
-
-case "$1" in
-    purge)
-        rm -rf /etc/nxagentd.conf /etc/nxagentd.conf.dist /etc/nxagentd.conf.d
-    ;;
-
-    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-    ;;
-
-    *)
-        echo "postrm called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
diff --git a/debian/netxms-base.dirs b/debian/netxms-base.dirs
deleted file mode 100644 (file)
index daebc1b..0000000
+++ /dev/null
@@ -1 +0,0 @@
-var/lib/netxms
diff --git a/debian/netxms-base.install b/debian/netxms-base.install
deleted file mode 100644 (file)
index e505ade..0000000
+++ /dev/null
@@ -1,6 +0,0 @@
-usr/bin/nxencpasswd
-usr/lib/*/libnetxms.so.*
-usr/lib/*/libnxclient.so.*
-usr/lib/*/libnxdb.so.*
-usr/lib/*/libnxsnmp.so.*
-usr/lib/*/libnxtre.so.*
diff --git a/debian/netxms-base.postrm b/debian/netxms-base.postrm
deleted file mode 100644 (file)
index 2c2df03..0000000
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-
-set -e
-
-case "$1" in
-    purge)
-        rm -f /var/lib/netxms/registry.dat
-    ;;
-
-    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-    ;;
-
-    *)
-        echo "postrm called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
diff --git a/debian/netxms-base.symbols b/debian/netxms-base.symbols
deleted file mode 100644 (file)
index e69de29..0000000
diff --git a/debian/netxms-client.install b/debian/netxms-client.install
deleted file mode 100644 (file)
index 7d02182..0000000
+++ /dev/null
@@ -1,4 +0,0 @@
-usr/bin/nxpush
-usr/bin/nxevent
-usr/bin/nxalarm
-usr/bin/nxsms
diff --git a/debian/netxms-dbdrv-mysql.install b/debian/netxms-dbdrv-mysql.install
deleted file mode 100644 (file)
index ce68ff5..0000000
+++ /dev/null
@@ -1 +0,0 @@
-usr/lib/*/netxms/dbdrv/mysql.ddr
diff --git a/debian/netxms-dbdrv-odbc.install b/debian/netxms-dbdrv-odbc.install
deleted file mode 100644 (file)
index ae7430c..0000000
+++ /dev/null
@@ -1 +0,0 @@
-usr/lib/*/netxms/dbdrv/odbc.ddr
diff --git a/debian/netxms-dbdrv-oracle.install b/debian/netxms-dbdrv-oracle.install
deleted file mode 100644 (file)
index 59df5fe..0000000
+++ /dev/null
@@ -1 +0,0 @@
-usr/lib/*/netxms/dbdrv/oracle.ddr
diff --git a/debian/netxms-dbdrv-pgsql.install b/debian/netxms-dbdrv-pgsql.install
deleted file mode 100644 (file)
index c151abe..0000000
+++ /dev/null
@@ -1 +0,0 @@
-usr/lib/*/netxms/dbdrv/pgsql.ddr
diff --git a/debian/netxms-dbdrv-sqlite3.install b/debian/netxms-dbdrv-sqlite3.install
deleted file mode 100644 (file)
index 36006c5..0000000
+++ /dev/null
@@ -1 +0,0 @@
-usr/lib/*/netxms/dbdrv/sqlite.ddr
diff --git a/debian/netxms-server.install b/debian/netxms-server.install
deleted file mode 100644 (file)
index 859b9d2..0000000
+++ /dev/null
@@ -1,22 +0,0 @@
-usr/bin/netxmsd
-usr/bin/nxadm
-usr/bin/nxap
-usr/bin/nxdbmgr
-usr/bin/nxget
-usr/bin/nxmibc
-usr/bin/nxscript
-usr/bin/nxsnmp*
-usr/bin/nxupload
-usr/lib/*/netxms/jira.hdlink
-usr/lib/*/libavaya-ers.so
-usr/lib/*/libcisco.so
-usr/lib/*/libnxcore.so*
-usr/lib/*/libnxmap.so*
-usr/lib/*/libnxsd.so*
-usr/lib/*/libnxsl.so*
-usr/lib/*/libnxsms_*.so*
-usr/lib/*/libnxsrv.so*
-usr/lib/*/libstrophe.so*
-usr/lib/*/netxms/ndd/*
-usr/share/netxms/*
-var/lib/netxms/*
diff --git a/debian/netxms-server.netxmsd.init b/debian/netxms-server.netxmsd.init
deleted file mode 100644 (file)
index 783a456..0000000
+++ /dev/null
@@ -1,152 +0,0 @@
-#!/bin/sh
-# vim: syntax=sh
-### BEGIN INIT INFO
-# Provides:          netxms-server
-# Required-Start:    $network $local_fs nxagentd
-# Required-Stop:
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: NetXMS server
-# Description:       Network monitoring daemon, which collect and process metrics
-#                    from native and SNMP agents.
-### END INIT INFO
-
-# Author: Alex Kirhenshtein <alk@netxms.org>
-
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC="NetXMS server"
-NAME=netxmsd
-DAEMON=/usr/bin/netxmsd
-DAEMON_ARGS="-d"
-PIDFILE=/var/run/$NAME.pid
-SCRIPTNAME=/etc/init.d/$NAME
-
-# Exit if the package is not installed
-[ -x $DAEMON ] || exit 0
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
-       # Return
-       #   0 if daemon has been started
-       #   1 if daemon was already running
-       #   2 if daemon could not be started
-       start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
-               || return 1
-       start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
-               $DAEMON_ARGS \
-               || return 2
-       # Add code here, if necessary, that waits for the process to be ready
-       # to handle requests from services started subsequently which depend
-       # on this one.  As a last resort, sleep for some time.
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
-       # Return
-       #   0 if daemon has been stopped
-       #   1 if daemon was already stopped
-       #   2 if daemon could not be stopped
-       #   other if a failure occurred
-       start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
-       RETVAL="$?"
-       [ "$RETVAL" = 2 ] && return 2
-       # Wait for children to finish too if this is a daemon that forks
-       # and if the daemon is only ever run from this initscript.
-       # If the above conditions are not satisfied then add some other code
-       # that waits for the process to drop all resources that could be
-       # needed by services started subsequently.  A last resort is to
-       # sleep for some time.
-       start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
-       [ "$?" = 2 ] && return 2
-       # Many daemons don't delete their pidfiles when they exit.
-       rm -f $PIDFILE
-       return "$RETVAL"
-}
-
-#
-# Function that sends a SIGHUP to the daemon/service
-#
-do_reload() {
-       #
-       # If the daemon can reload its configuration without
-       # restarting (for example, when it is sent a SIGHUP),
-       # then implement that here.
-       #
-       start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
-       return 0
-}
-
-case "$1" in
-  start)
-    [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
-    do_start
-    case "$?" in
-               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-       esac
-  ;;
-  stop)
-       [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
-       do_stop
-       case "$?" in
-               0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-               2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-       esac
-       ;;
-  status)
-       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
-       ;;
-  #reload|force-reload)
-       #
-       # If do_reload() is not implemented then leave this commented out
-       # and leave 'force-reload' as an alias for 'restart'.
-       #
-       #log_daemon_msg "Reloading $DESC" "$NAME"
-       #do_reload
-       #log_end_msg $?
-       #;;
-  restart|force-reload)
-       #
-       # If the "reload" option is implemented then remove the
-       # 'force-reload' alias
-       #
-       log_daemon_msg "Restarting $DESC" "$NAME"
-       do_stop
-       case "$?" in
-         0|1)
-               do_start
-               case "$?" in
-                       0) log_end_msg 0 ;;
-                       1) log_end_msg 1 ;; # Old process is still running
-                       *) log_end_msg 1 ;; # Failed to start
-               esac
-               ;;
-         *)
-               # Failed to stop
-               log_end_msg 1
-               ;;
-       esac
-       ;;
-  *)
-       echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
-       exit 3
-       ;;
-esac
-
-:
diff --git a/debian/netxms-server.postinst b/debian/netxms-server.postinst
deleted file mode 100644 (file)
index 2f85c1d..0000000
+++ /dev/null
@@ -1,106 +0,0 @@
-#!/bin/sh
-
-set -e
-
-CONFIG="/etc/netxmsd.conf"
-
-case "$1" in
-    configure)
-        if [ ! -f $CONFIG ]; then
-            TARGET=$CONFIG
-
-        cat <<__END
-NetXMS server is installed but currently stopped.
-
-Additional steps required:
-
-1. Edit default configuration file ($CONFIG)
-
-2. Load database schema (replace DBTYPE with proper name):
-
-   nxdbmgr init /usr/share/netxms/sql/dbinit_DBTYPE.sql
-
-   Example:
-
-      SQLite:
-        nxdbmgr init /usr/share/netxms/sql/dbinit_sqlite.sql
-
-      PostgreSQL:
-        nxdbmgr init /usr/share/netxms/sql/dbinit_pgsql.sql
-
-      MySQL:
-        nxdbmgr init /usr/share/netxms/sql/dbinit_mysql.sql
-
-      Oracle:
-        nxdbmgr init /usr/share/netxms/sql/dbinit_oracle.sql
-
-then start daemon with command:
-
-   service netxmsd start
-__END
-        else
-            TARGET=${CONFIG}.dist
-        fi
-
-        cat > $TARGET <<__END
-## Logging
-# Log file name
-LogFile=/var/log/netxmsd
-
-# Increase logging verbosity, 0 (only errors) to 9 (verbose debug)
-#DebugLevel=3
-
-## Database configuration.
-## Uncomment and setup ONE section.
-
-## Option #1 - SQLite (for test installations only):
-#DBDriver=sqlite.ddr
-#DBName=/var/lib/netxms/netxms.db
-
-## Option #2 - PostgreSQL (recommended):
-#DBDriver=pgsql.ddr
-#DBServer=127.0.0.1
-#DBName=netxms
-#DBLogin=netxms
-#DBPassword=netxms
-
-## Option #3 - MySQL:
-#DBDriver=mysql.ddr
-#DBServer=127.0.0.1
-#DBName=netxms
-#DBLogin=netxms
-#DBPassword=netxms
-
-## Option #4 - Oracle:
-#DBDriver=oracle.ddr
-#DBServer=//127.0.0.1:1521/ORCL # Instant Client connection string or SID
-#DBLogin=netxms
-#DBPassword=netxms
-
-## Option #5 - unixODBC/FreeTDS:
-#DBDriver=odbc.ddr
-#DBServer=NETXMS_DSN
-#DBLogin=netxms
-#DBPassword=netxms
-__END
-
-        if [ ! -z $2 ]; then
-          # previous version is set, it's upgrade
-          /usr/bin/nxdbmgr upgrade
-        fi
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
diff --git a/debian/netxms-server.postrm b/debian/netxms-server.postrm
deleted file mode 100644 (file)
index e333e66..0000000
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-
-set -e
-
-case "$1" in
-    purge)
-        rm -f /etc/netxmsd.conf /etc/netxmsd.conf.dist
-    ;;
-
-    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-    ;;
-
-    *)
-        echo "postrm called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
diff --git a/debian/patches/Makefile.am b/debian/patches/Makefile.am
deleted file mode 100644 (file)
index 6a170bb..0000000
+++ /dev/null
@@ -1,12 +0,0 @@
-# Copyright (C) 2004 NetXMS Team <bugs@netxms.org>
-#  
-# This file is free software; as a special exception the author gives
-# unlimited permission to copy and/or distribute it, with or without 
-# modifications, as long as this notice is preserved.
-# 
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
-# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-
-EXTRA_DIST= \
-           series
diff --git a/debian/patches/series b/debian/patches/series
deleted file mode 100644 (file)
index e69de29..0000000
diff --git a/debian/rules b/debian/rules
deleted file mode 100755 (executable)
index 1abf174..0000000
+++ /dev/null
@@ -1,20 +0,0 @@
-#!/usr/bin/make -f
-
-export DH_VERBOSE=1
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-override_dh_installinit:
-       dh_installinit -pnetxms-agent --name=nxagentd
-       dh_installinit -pnetxms-server --name=netxmsd
-
-override_dh_shlibdeps:
-       dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
-
-override_dh_auto_configure:
-       dh_auto_configure -- --with-server --with-agent --with-client \
-               --with-sqlite --with-mysql --with-pgsql --with-odbc --with-oracle=/opt/instantclient_11_2 \
-               --enable-unicode --with-jdk=/usr/lib/jvm/java-7-openjdk-$(DEB_BUILD_ARCH)
-
-%:
-       LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):/opt/instantclient_11_2 dh $@ --with autoreconf
diff --git a/debian/source/Makefile.am b/debian/source/Makefile.am
deleted file mode 100644 (file)
index 6c84a7f..0000000
+++ /dev/null
@@ -1,12 +0,0 @@
-# Copyright (C) 2004 NetXMS Team <bugs@netxms.org>
-#  
-# This file is free software; as a special exception the author gives
-# unlimited permission to copy and/or distribute it, with or without 
-# modifications, as long as this notice is preserved.
-# 
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
-# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-
-EXTRA_DIST=format \
-           options
diff --git a/debian/source/format b/debian/source/format
deleted file mode 100644 (file)
index 163aaf8..0000000
+++ /dev/null
@@ -1 +0,0 @@
-3.0 (quilt)
diff --git a/debian/source/options b/debian/source/options
deleted file mode 100644 (file)
index 3333084..0000000
+++ /dev/null
@@ -1 +0,0 @@
-#extend-diff-ignore = "(^|/)(config\.sub.*|config\.guess|Makefile|src/tools/nxdevcfg/flags.cpp)$"